video can't no play under QT5.8.0,mp3 plays well



  • Dear All:
    these days i was working with QtMultimedia module. i found an issue, that the example project under QT5.8 can not work proper. example path is :
    Qt5.8.0/Examples/Qt-5.8/multimediawidgets/player

    the phenomenon is :
    when the project runs ,it can only play mp3, when use it playing .wmv. it can't work.
    if try to play .mp4 , it can play the sound. and i confirm the videos are OK, it can be play with double click.
    the project's output is :
    libva info: VA-API version 0.39.0
    libva info: va_getDriverName() returns 0
    libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
    libva info: Found init function __vaDriverInit_0_39
    libva info: va_openDriver() returns 0

    as using gstreamer play the video, output:
    gst-play-1.0 /home/tong/build-FMT-gstream1_0-Debug/src/Wildlife.wmv
    Press 'k' to see a list of keyboard shortcuts.
    Now playing /home/tong/build-FMT-gstream1_0-Debug/src/Wildlife.wmv
    libva info: VA-API version 0.39.0
    libva info: va_getDriverName() returns 0
    libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
    libva info: Found init function __vaDriverInit_0_39
    libva info: va_openDriver() returns 0
    Redistribute latency...
    Redistribute latency...
    Redistribute latency...
    0:00:30.0 / 0:00:30.0
    Reached end of play list.
    the video can play normally.

    the ENV:
    host is ubuntu 16.04.
    qt5.8 is installed by qt-opensource-linux-x64-5.8.0.run
    gstreamer verion is 1.0 installed by following commands:
    1,sudo apt-get install gstreamer1.0
    2,sudo apt-get install libgstreamer-plugins-good1.0-dev libgstreamer-plugins-base1.0-dev libgstreamer1.0-dev libgstreamer1.0-0 libqgsttools-p1 libqt5multimedia5-plugins gstreamer1.0-libav libges-1.0-dev libgstreamer-plugins-bad1.0-dev libgstreamermm-1.0-0v5 libgstreamermm-1.0-dev libqt5gstreamer-1.0-0 libqt5gstreamer-dev libqt5gstreamerquick-1.0-0 libqt5gstreamerui-1.0-0 libqt5gstreamerutils-1.0-0 libqtglib-2.0-0 libqtgstreamer-1.0-0 libqtgstreamer-dev libqtgstreamerui-1.0-0 libqtgstreamerutils-1.0-0 qtgstreamer-plugins-qt5 qtgstreamer-plugins ubuntu-restricted-extras
    can any one helps me ,many thanks !


  • Lifetime Qt Champion

    Hi,

    Can you test the same example built with the Qt version that comes with your distribution ?



  • @SGaist
    yes, the output pasted is the result of the same example built with the Qt version that comes with my distribution.



  • @JiujiuTong said in video can't no play under QT5.8.0,mp3 plays well:

    @SGaist
    yes, the output pasted is the result of the same example built with the Qt version that comes with my distribution.

    @SGaist do you have any suggestions ? thank you!


  • Lifetime Qt Champion

    I'd consider the Qt-VLC project which provide Qt classes that uses the powerful VLC libraries which are pretty good for reading all types of files.



  • @SGaist
    ok, i will try it .
    will it be difficult to implement on raspberry pi3?
    compare with phonon , do you think which is better for my project ? thank you very much
    ENV: raspberry pi3 ,qt5.7.1


  • Lifetime Qt Champion

    Do you mean you'd like to try Phonon with Qt 5 ?



  • @SGaist
    is it possible ?
    form the result i searched, it seems phonon is suitable for QT4, but not for QT5. If possible and easy to use phonon on Qt5, i'd like to try it.
    of course if Qt-VLC project is much easier ,i will try Qt-VLC project.
    thank you !


  • Lifetime Qt Champion

    There's the phonon4qt5 project.



  • @SGaist
    well , compare with qt-vlc ,do you think which one is better for raspberry ?thank you !


  • Lifetime Qt Champion

    It depends on your project. You should compare them.



  • @SGaist
    thank you . by the way , for my case, does it mean that the QT multimedia module has bugs?


  • Lifetime Qt Champion

    Not necessarily, you should check with the gstreamer utils if the files you are interested in can be played.

    Multimedia is a complex matter and if you are missing one codec you might get errors like that one so you have to ensure that you really have all plugin packages installed and avoid proprietary formats when possible.



  • @SGaist
    i have confirmed that the files can be played by gstreamer utils:gst-play-1.0.
    and from the logs it seems that gstreamer works well
    libva info: VA-API version 0.39.0
    libva info: va_getDriverName() returns 0
    libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
    libva info: Found init function __vaDriverInit_0_39
    libva info: va_openDriver() returns 0.

    Thank you for your great support!


  • Lifetime Qt Champion

    Can you check which version of gstreamer is linked to the backend ?



  • @SGaist
    here is the output of my host, only version 1.0 was found:
    dpkg -l | grep -i "gstreamer"
    ii gir1.2-gst-plugins-bad-1.0 1.8.3-1ubuntu0.2 amd64 GObject introspection data for the GStreamer libraries from the "bad" set
    ii gir1.2-gst-plugins-base-1.0 1.8.3-1ubuntu0.2 amd64 GObject introspection data for the GStreamer Plugins Base library
    ii gir1.2-gstreamer-1.0 1.8.3-1~ubuntu0.1 amd64 GObject introspection data for the GStreamer library
    ii gnome-video-effects 0.4.1-3ubuntu1 all Collection of GStreamer effects
    ii gstreamer1.0-alsa:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugin for ALSA
    ii gstreamer1.0-clutter 2.0.18-1 amd64 Clutter PLugin for GStreamer 1.0
    ii gstreamer1.0-clutter-3.0 3.0.18-1 amd64 Clutter PLugin for GStreamer 1.0
    ii gstreamer1.0-crystalhd 1:0.0~git20110715.fdd2f19-11build1 amd64 Crystal HD Video Decoder (GStreamer plugin)
    ii gstreamer1.0-doc 1.8.3-1~ubuntu0.1 all GStreamer core documentation and manuals
    ii gstreamer1.0-dvswitch 0.1.1-1 amd64 GStreamer plugin source from DVswitch
    ii gstreamer1.0-espeak 0.4.0-1 amd64 GStreamer plugin for eSpeak speech synthesis
    ii gstreamer1.0-fluendo-mp3:amd64 0.10.32.debian-1 amd64 Fluendo mp3 decoder GStreamer 1.0 plugin
    ii gstreamer1.0-hybris:i386 1.8.3-1ubuntu0.2 i386 GStreamer plugins from hybris
    ii gstreamer1.0-libav:amd64 1.8.3-1ubuntu0.2 amd64 libav plugin for GStreamer
    ii gstreamer1.0-libav-dbg:amd64 1.8.3-1ubuntu0.2 amd64 libav plugin for GStreamer (debug symbols)
    ii gstreamer1.0-nice:amd64 0.1.13-0ubuntu2 amd64 ICE library (GStreamer plugin)
    ii gstreamer1.0-packagekit 0.8.17-4ubuntu6~gcc5.4ubuntu1.1 amd64 GStreamer plugin to install codecs using PackageKit
    ii gstreamer1.0-plugins-bad:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugins from the "bad" set
    ii gstreamer1.0-plugins-bad-dbg:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugins from the "bad" set (debug symbols)
    ii gstreamer1.0-plugins-bad-doc 1.8.3-1ubuntu0.2 all GStreamer documentation for plugins from the "bad" set
    ii gstreamer1.0-plugins-bad-faad:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer faad plugin from the "bad" set
    ii gstreamer1.0-plugins-bad-videoparsers:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer videoparsers plugin from the "bad" set
    ii gstreamer1.0-plugins-base:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugins from the "base" set
    ii gstreamer1.0-plugins-base:i386 1.8.3-1ubuntu0.2 i386 GStreamer plugins from the "base" set
    ii gstreamer1.0-plugins-base-apps 1.8.3-1ubuntu0.2 amd64 GStreamer helper programs from the "base" set
    ii gstreamer1.0-plugins-base-dbg:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugins from the "base" set
    ii gstreamer1.0-plugins-base-doc 1.8.3-1ubuntu0.2 all GStreamer documentation for plugins from the "base" set
    ii gstreamer1.0-plugins-good:amd64 1.8.3-1ubuntu0.4 amd64 GStreamer plugins from the "good" set
    ii gstreamer1.0-plugins-good-dbg:amd64 1.8.3-1ubuntu0.4 amd64 GStreamer plugins from the "good" set
    ii gstreamer1.0-plugins-good-doc 1.8.3-1ubuntu0.4 all GStreamer documentation for plugins from the "good" set
    ii gstreamer1.0-plugins-ugly:amd64 1.8.3-1ubuntu0.1 amd64 GStreamer plugins from the "ugly" set
    ii gstreamer1.0-plugins-ugly-amr:amd64 1.8.3-1ubuntu0.1 amd64 GStreamer plugins from the "ugly" set
    ii gstreamer1.0-plugins-ugly-dbg:amd64 1.8.3-1ubuntu0.1 amd64 GStreamer plugins from the "ugly" set (debug symbols)
    ii gstreamer1.0-plugins-ugly-doc 1.8.3-1ubuntu0.1 all GStreamer documentation for plugins from the "ugly" set
    ii gstreamer1.0-pocketsphinx:amd64 0.8.0+real5prealpha-1ubuntu2 amd64 Speech recognition tool - gstreamer plugin
    ii gstreamer1.0-pulseaudio:amd64 1.8.3-1ubuntu0.4 amd64 GStreamer plugin for PulseAudio
    ii gstreamer1.0-tools 1.8.3-1~ubuntu0.1 amd64 Tools for use with GStreamer
    ii gstreamer1.0-vaapi:amd64 1.8.3-1~ubuntu0.1 amd64 VA-API plugins for GStreamer
    ii gstreamer1.0-vaapi-doc 1.8.3-1~ubuntu0.1 all GStreamer VA-API documentation and manuals
    ii gstreamer1.0-x:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer plugins for X11 and Pango
    ii libclutter-gst-3.0-0:amd64 3.0.18-1 amd64 Open GL based interactive canvas library GStreamer elements
    ii libges-1.0-0 1.6.2-1 amd64 GStreamer editing services (shared library)
    ii libges-1.0-dev 1.6.2-1 amd64 GStreamer editing services (development files)
    ii libgstreamer-plugins-bad1.0-0:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer development files for libraries from the "bad" set
    ii libgstreamer-plugins-bad1.0-0:i386 1.8.3-1ubuntu0.2 i386 GStreamer development files for libraries from the "bad" set
    ii libgstreamer-plugins-bad1.0-dev 1.8.3-1ubuntu0.2 amd64 GStreamer development files for libraries from the "bad" set
    ii libgstreamer-plugins-base1.0-0:amd64 1.8.3-1ubuntu0.2 amd64 GStreamer libraries from the "base" set
    ii libgstreamer-plugins-base1.0-0:i386 1.8.3-1ubuntu0.2 i386 GStreamer libraries from the "base" set
    ii libgstreamer-plugins-base1.0-dev 1.8.3-1ubuntu0.2 amd64 GStreamer development files for libraries from the "base" set
    ii libgstreamer-plugins-good1.0-0:amd64 1.8.3-1ubuntu0.4 amd64 GStreamer development files for libraries from the "good" set
    ii libgstreamer-plugins-good1.0-dev 1.8.3-1ubuntu0.4 amd64 GStreamer development files for libraries from the "good" set
    ii libgstreamer1.0-0:amd64 1.8.3-1~ubuntu0.1 amd64 Core GStreamer libraries and elements
    ii libgstreamer1.0-0:i386 1.8.3-1~ubuntu0.1 i386 Core GStreamer libraries and elements
    ii libgstreamer1.0-0-dbg:amd64 1.8.3-1~ubuntu0.1 amd64 Core GStreamer libraries and elements
    ii libgstreamer1.0-dev 1.8.3-1~ubuntu0.1 amd64 GStreamer core development files
    ii libgstreamermm-1.0-0v5:amd64 1.4.3+dfsg-5 amd64 C++ wrapper library for GStreamer (shared libraries)
    ii libgstreamermm-1.0-dev:amd64 1.4.3+dfsg-5 amd64 C++ wrapper library for GStreamer (development files)
    ii libqgsttools-p1:amd64 5.5.1-4ubuntu2 amd64 GStreamer tools for Qt 5 Multimedia module
    ii libqt5gstreamer-1.0-0:amd64 1.2.0-3 amd64 C++ bindings library for GStreamer with a Qt-style API - Qt 5 build
    ii libqt5gstreamer-dev 1.2.0-3 amd64 Development headers for QtGStreamer - Qt 5 build
    ii libqt5gstreamerquick-1.0-0:amd64 1.2.0-3 amd64 QtGStreamerQuick library - Qt 5 build
    ii libqt5gstreamerui-1.0-0:amd64 1.2.0-3 amd64 QtGStreamerUi library - Qt 5 build
    ii libqt5gstreamerutils-1.0-0:amd64 1.2.0-3 amd64 QtGStreamerUtils library - Qt 5 build
    ii libqtgstreamer-1.0-0:amd64 1.2.0-3 amd64 C++ bindings library for GStreamer with a Qt-style API
    ii libqtgstreamer-dev 1.2.0-3 amd64 Development headers for QtGStreamer
    ii libqtgstreamerui-1.0-0:amd64 1.2.0-3 amd64 QtGStreamerUi library
    ii libqtgstreamerutils-1.0-0:amd64 1.2.0-3 amd64 QtGStreamerUtils library
    ii libreoffice-avmedia-backend-gstreamer 1:5.1.6~rc2-0ubuntu1~xenial2 amd64 GStreamer backend for LibreOffice
    ii qml-module-qtgstreamer:amd64 1.2.0-3 amd64 QML plugins from QtGStreamer - Qt 5 build
    ii qtgstreamer-plugins:amd64 1.2.0-3 amd64 GStreamer plugins from QtGStreamer
    ii qtgstreamer-plugins-qt5:amd64 1.2.0-3 amd64 GStreamer plugins from QtGStreamer - Qt 5 build
    ii totem 3.18.1-1ubuntu4 amd64 Simple media player for the GNOME desktop based on GStreamer
    Is there other ways to check which version Gstreamer is linked?


  • Lifetime Qt Champion

    ldd /path/to/QtMultimedia/plugin_file



  • @SGaist
    my Qt5.8 is installed by qt-opensource-linux-x64-5.8.0.so i find libgstmediaplayer.so under the "Qt5.8.0/5.8/gcc_64/plugins/mediaservice" and the output of "ldd libgstmediaplayer.so " :
    linux-vdso.so.1 => (0x00007ffe90bfb000)
    libqgsttools_p.so.1 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libqgsttools_p.so.1 (0x00007f3df06e0000)
    libQt5MultimediaWidgets.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5MultimediaWidgets.so.5 (0x00007f3df04c1000)
    libQt5Multimedia.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5Multimedia.so.5 (0x00007f3df01b7000)
    libQt5Widgets.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5Widgets.so.5 (0x00007f3def986000)
    libQt5Gui.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5Gui.so.5 (0x00007f3def1ea000)
    libQt5Network.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5Network.so.5 (0x00007f3deee64000)
    libQt5Core.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5Core.so.5 (0x00007f3dee744000)
    libGL.so.1 => /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1 (0x00007f3dee4a9000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f3dee28b000)
    libgstaudio-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstaudio-1.0.so.0 (0x00007f3dee02e000)
    libgstvideo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstvideo-1.0.so.0 (0x00007f3dedda8000)
    libgstpbutils-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstpbutils-1.0.so.0 (0x00007f3dedb72000)
    libgstapp-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstapp-1.0.so.0 (0x00007f3ded964000)
    libgstbase-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstbase-1.0.so.0 (0x00007f3ded700000)
    libgstreamer-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgstreamer-1.0.so.0 (0x00007f3ded3d5000)

    libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f3ded182000)
    libpulse-mainloop-glib.so.0 => /usr/lib/x86_64-linux-gnu/libpulse-mainloop-glib.so.0 (0x00007f3decf7d000)
    libpulse.so.0 => /usr/lib/x86_64-linux-gnu/libpulse.so.0 (0x00007f3decd2c000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f3deca1b000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f3dec699000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f3dec38f000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f3dec179000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f3debdb0000)
    libasound.so.2 => /usr/lib/x86_64-linux-gnu/libasound.so.2 (0x00007f3debaaf000)
    libQt5OpenGL.so.5 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libQt5OpenGL.so.5 (0x00007f3deb858000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f3deb63d000)
    libicui18n.so.56 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libicui18n.so.56 (0x00007f3deb1a4000)
    libicuuc.so.56 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libicuuc.so.56 (0x00007f3deadeb000)
    libicudata.so.56 => /home/tong/Qt5.8.0/5.8/gcc_64/plugins/mediaservice/./../../lib/libicudata.so.56 (0x00007f3de9408000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f3de9204000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f3de8ffb000)
    libgthread-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007f3de8df9000)
    /lib64/ld-linux-x86-64.so.2 (0x000055e6931f6000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f3de8bd0000)
    libxcb-dri3.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri3.so.0 (0x00007f3de89cc000)
    libxcb-present.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-present.so.0 (0x00007f3de87c9000)
    libxcb-sync.so.1 => /usr/lib/x86_64-linux-gnu/libxcb-sync.so.1 (0x00007f3de85c2000)
    libxshmfence.so.1 => /usr/lib/x86_64-linux-gnu/libxshmfence.so.1 (0x00007f3de83be000)
    libglapi.so.0 => /usr/lib/x86_64-linux-gnu/libglapi.so.0 (0x00007f3de818f000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f3de7f7d000)
    libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f3de7d79000)
    libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f3de7b73000)
    libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007f3de7971000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f3de7636000)
    libxcb-glx.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-glx.so.0 (0x00007f3de741d000)
    libxcb-dri2.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-dri2.so.0 (0x00007f3de7218000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f3de6ff5000)
    libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007f3de6def000)
    libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007f3de6be0000)
    libgsttag-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libgsttag-1.0.so.0 (0x00007f3de69a4000)
    liborc-0.4.so.0 => /usr/lib/x86_64-linux-gnu/liborc-0.4.so.0 (0x00007f3de6724000)
    libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f3de651f000)
    libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f3de6317000)
    libpulsecommon-8.0.so => /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-8.0.so (0x00007f3de609b000)
    libjson-c.so.2 => /lib/x86_64-linux-gnu/libjson-c.so.2 (0x00007f3de5e90000)
    libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f3de5c44000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f3de59d3000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f3de57ce000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f3de55c8000)
    libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f3de5542000)
    libwrap.so.0 => /lib/x86_64-linux-gnu/libwrap.so.0 (0x00007f3de5338000)
    libsndfile.so.1 => /usr/lib/x86_64-linux-gnu/libsndfile.so.1 (0x00007f3de50cf000)
    libasyncns.so.0 => /usr/lib/x86_64-linux-gnu/libasyncns.so.0 (0x00007f3de4ec8000)
    libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f3de4ca6000)
    liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f3de4a83000)
    libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f3de47a2000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f3de4589000)
    libFLAC.so.8 => /usr/lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007f3de4313000)
    libvorbisenc.so.2 => /usr/lib/x86_64-linux-gnu/libvorbisenc.so.2 (0x00007f3de406a000)
    libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f3de3e4f000)
    libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f3de3c3a000)
    libogg.so.0 => /usr/lib/x86_64-linux-gnu/libogg.so.0 (0x00007f3de3a31000)
    libvorbis.so.0 => /usr/lib/x86_64-linux-gnu/libvorbis.so.0 (0x00007f3de3805000)
    so it is gstreamer1.0 linked , is it right?


  • Moderators

    @JiujiuTong Yes, looks like 1.0



  • @jsulm @SGaist
    thank you , but why video can't play? the file is OK... can you help me to figure it out?



  • @JiujiuTong said in video can't no play under QT5.8.0,mp3 plays well:

    @jsulm @SGaist
    thank you , but why video can't play? the file is OK... can you help me to figure it out?

    @SGaist , it seems linked gstreamer version is 1.0. any ideas to check why video can't play with QT5.8?


  • Lifetime Qt Champion

    Enable the QtMultimedia logging category, that might give you more information.



  • @SGaist
    can you give me more details please? for example, how to enable the QtMultimedia logging category.thank you


  • Lifetime Qt Champion

    See QLoggingCategory with qt.multimedia



  • @SGaist
    thank you very much


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.